
attUpdate = {}

function attUpdate.prerequisitesPresent(specializations)
	Vehicle.registerJointType("frontloader");
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function attUpdate:load(xmlFile)
	
end;
      
function attUpdate:delete()
end;

function attUpdate:mouseEvent(posX, posY, isDown, isUp, button)
end;
	  
function attUpdate:keyEvent(unicode, sym, modifier, isDown)


end;

function attUpdate:update(dt)
	
end;

function attUpdate:draw()
end;

function attUpdate:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;
